/******************************************************************************/
/*
                                  data.h
*/
/******************************************************************************/

#ifndef INCLUDE_DATA_H
#define INCLUDE_DATA_H

#define BOOL int

/**************/
/* structures */
/**************/

typedef struct DATA_CACHE_STRUCT
{
   int  ContentLength,
        HitCount,
        ReusedCount,
        mtime;

   char  *ContentPtr;

   char  FileName [256];

} DATA_CACHE;

/**************/
/* prototypes */
/**************/

void DataCacheInit ();
BOOL DataCacheFlush (char*);
int DataFileMtime (char*, BOOL);
int DataReadFileIntoMemory (char*, char**, int*, BOOL);
int DataVolumeStruct (char*);

#endif /* INCLUDE_DATA_H */

/******************************************************************************/

